ZCASH-CLI(1)

NAME
zcash-cli - manual page for zcash-cli v1.0.10-1

DESCRIPTION
Zcash RPC client version v1.0.10-1

In order to ensure you are adequately protecting your privacy when using Zcash, please see <https://z.cash/support/security/index.html>.

  Usage:

zcash-cli [options] <command> [params]
    Send command to Zcash

zcash-cli [options] help
    List commands

zcash-cli [options] help <command>
    Get help for a command

OPTIONS

-?

    This help message

-conf=<file>

    Specify configuration file (default: zcash.conf)

-datadir=<dir>

    Specify data directory

-testnet

    Use the test network

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

-rpcconnect=<ip>

    Send commands to node running on <ip> (default: 127.0.0.1)

-rpcport=<port>

    Connect to JSON-RPC on <port> (default: 8232 or testnet: 18232)

-rpcwait

    Wait for RPC server to start

-rpcuser=<user>

    Username for JSON-RPC connections

-rpcpassword=<pw>

    Password for JSON-RPC connections

-rpcclienttimeout=<n>

    Timeout in seconds during HTTP requests, or 0 for no timeout. (default: 900)

COPYRIGHT
In order to ensure you are adequately protecting your privacy when using Zcash, please see <https://z.cash/support/security/index.html>. Copyright (C) 2009-2017 The Bitcoin Core Developers Copyright (C) 2015-2017 The Zcash Developers This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <http://www.opensource.org/licenses/mit-license.php>. This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org/> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard.